{% extends "customers/base.html" %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load staticfiles %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Movimientos de cartolas{% endblock %}

  {% block page %}
    <!-- begin breadcrumb -->
    <ol class="breadcrumb float-xl-right">
        <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
        <li class="breadcrumb-item active"><a href="{% url 'bank-account-list' %}">Cuenta {{ account.tag }}</a></li>
        <li class="breadcrumb-item active"><a href="{% url 'cartolas-list' account.account_number %}">Cartola {{ cartola.number }}</a></li>
        <li class="breadcrumb-item active">Movimientos de cartolas</li>
      </ol>
      <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Movimientos de cartola <small>lista</small></h1>
  <!-- end page-header -->
 <!-- begin row -->
 <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Movimientos de cartola</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
            <div class="row mb-3">
                <a class="btn btn-info dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Conciliar todas las que coinciden con un pago <span class="dropdown-menu-arrow"></span></a>
					<div class="dropdown-menu" aria-labelledby="dropdownMenuLink" style="min-width: 6.5rem !important; ">
						<a class="dropdown-item" href="{% url 'conciliar-movimientos' pk=cartola.id %}">Sí, estoy seguro</a>
					</div>
                </div>
                <div class="row mb-3">
                <form class="form-inline">
                    <div class="row mb-3 m-l-10">
                        <div class="form-group m-r-10">
                            <label for="cartola_movement_start_date" class="m-r-10">Desde</label>
                            <input type="date" name="start_date" class="datepicker" id="cartola_movement_start_date">
                        </div>
                        <div class="form-group m-r-10">
                            <label for="cartola_movement_end_date" class="m-r-10">Hasta</label>
                            <input type="date" name="end_date" class="datepicker" id="cartola_movement_end_date">
                        </div>
                        <div class="form-group m-r-10">
                            <label for="id_kind" class="control-label m-r-10">Tipo</label>
                            <select id="cartola_movement_kind" class="form-control">
                                <option value="">Todos</option>
                                {% for code, option in kind_options %}
                                <option value="{{ code }}">{{ option }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="form-group m-r-10">
                            <label for="id_kind" class="control-label m-r-10">Conciliado</label>
                            <select id="cartola_movement_conciliado" class="form-control">
                                <option value="False">No</option>
                                <option value="True">Si</option>
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <table id="cartola-movement-list" class="table table-hover m-b-0 text-inverse">
                <thead>
                <tr>
                    <th>Fecha</th>
                    <th>Sucursal</th>
                    <th>Nº de documento</th>
                    <th>Descripción</th>
                    <th>Total</th>
                    <th>Tipo</th>
                    <th>Saldo diario</th>
                    <th>Pago</th>
    
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
            {% if is_paginated %}
                <div style="text-align: center;">
                <span class="page-links">
                    {% if page_obj.has_previous %}
                        <a class="btn btn-default" href="?page={{ page_obj.previous_page_number }}">«</a>
                    {% endif %}
                    <span class="page-current">
                        Página {{ page_obj.number }} de {{ page_obj.paginator.num_pages }}.
                    </span>
                    {% if page_obj.has_next %}
                        <a class="btn btn-default" href="?page={{ page_obj.next_page_number }}">»</a>
                    {% endif %}
                </span>
                </div>
            {% endif %}

        </div>
        <!-- end panel-body -->
      </div>
    <!-- end panel -->
    </div>
<!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

  

{% block pageleveljs %}
<script type="text/javascript">
    //active menu
    document.getElementById("finances_menu").classList.add("active");
    //active submenu item
    document.getElementById("bank_account").classList.add("active");
</script>
<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/cartola-movements-list.js' %}"></script>
{% endblock %}